
Foreman - Feature #4135

Enable extension of menus in top navbar from plugins

01/20/2014 03:18 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Plugin integration   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The top navbar containing the user menu and Foreman menu should also be extensible, allowing new menus to be added to the left

of the user/account menu.

(https://bugzilla.redhat.com/show_bug.cgi?id=1052364)

Related issues:

Has duplicate Foreman - Feature #4283: Add ability for plugins to add menu it... Duplicate 02/06/2014

History

#1 - 02/06/2014 03:13 PM - Dominic Cleal

- Has duplicate Feature #4283: Add ability for plugins to add menu items to the top  header area added

#2 - 02/11/2014 12:59 PM - Dominic Cleal

- Status changed from New to Closed

- Assignee set to Amos Benari

- Target version set to 1.9.1

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/commit/4318bfa4d683eeeec022121b19dedaeb9e6e5060
